Gestiono
Referencia de APIResources / Discount Recommendation

Create Discount Recommendation

POST /v1/resource/discount-recommendation • validated by `postDiscountRecommendation`

← Back to full API reference
POST/v1/resource/discount-recommendationAuthentication required
  • Requires organization permissions for this resource.
  • Validated by Zod schema: postDiscountRecommendation.

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • priceTierId (required)

    Type: number

  • variation

    Type: number

  • description

    Type: string

  • validUntil

    Type: string

    Example:

  • isActive

    Boolean parser helper from common/utils.zBoolean

    Example: true

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "priceTierId": 1
}

Sample response

json
"<result>"

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

POST/v1/resource/discount-recommendationAuthentication required

Group: Resources / Discount Recommendation

POST /v1/resource/discount-recommendation • validated by `postDiscountRecommendation`

  • Requires organization permissions for this resource.
  • Validated by Zod schema: postDiscountRecommendation.

Body fields

  • priceTierIdrequired
    Type: number
  • variation
    Type: number
  • description
    Type: string
  • validUntil
    Type: string
    Ejemplo:
  • isActive
    Boolean parser helper from common/utils.zBoolean
    Ejemplo: true

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.